<!DOCTYPE html>
<html>

<head>
  <title> Bootstrap template- Pizza 365 project </title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  

  <!-- Bootstrap -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item"> <!-- đổi thành dạng click để dễ xử lý-->
                <button id="btn-order-detail" class="btn" onclick="onNavOrderDetailClick()"> Order Detail</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12 text-warning">
            <h1><b>Pizza 365
              </b></h1>
            <h1><i>
                Truly italian !
              </i></h1>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-warning text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365 </b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-warning border">
                <h3 class="p-2">Design</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-success border">
                <h3 class="p-2">Branding</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-primary text-white border">
                <h3 class="p-2">Consultation</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-danger text-white border">
                <h3 class="p-2">Promises</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-center">
                    <h3>S ( Small size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 20 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>2</b></li>
                      <li class="list-group-item">Salad <b>200 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>2</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>150.000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success w-100" id="btn-small" onclick="onBtnSmallSizeClick()"
                      data-is-selected-menu="N">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-center">
                    <h3>M (Medium size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 25 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>4</b></li>
                      <li class="list-group-item">Salad <b> 300 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>3</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>200.000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success w-100" id="btn-medium" onclick="onBtnMediumSizeClick()"
                      data-is-selected-menu="N">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-center">
                    <h3>L ( Large size )</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 30 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>8</b></li>
                      <li class="list-group-item">Salad <b> 500 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>4</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>250.000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success w-100" id="btn-large" onclick="onBtnLargeSizeClick()"
                      data-is-selected-menu="N">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Haiwai</h3>
                    <p>CEO & Founder</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button class="btn btn-info w-100" data-is-selected-pizza="N" id="btn-hawai"
                        onclick="onBtnPizzaHawaiClick()">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Hải Sản</h3>
                    <p>Art Director</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button class="btn btn-info w-100" data-is-selected-pizza="N" id="btn-haisan"
                        onclick="onBtnPizzaHaiSanClick()">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Thịt Hun Khói</h3>
                    <p>Designer</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button class="btn btn-info w-100" data-is-selected-pizza="N" id="btn-bacon"
                        onclick="onBtnPizzaBaconClick()">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn đồ uống</b></h2>
          </div>
          <div class="col-sm-12">
            <label for="">
              <h5>Hãy chọn dồ uống bạn thích</h5>
            </label>
          </div>
          <div class="col-sm-12">
            <select class="form-control" name="" id="select-drink">
              <option value="0">Chọn đồ uống</option>
            </select>
          </div>
        </div>
        <div id="contact" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-2 border-bottom">Contact Us</b></h2>
          </div>

          <!-- Content Contact Us -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-phone" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-address" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="message">Mã giảm giá</label>
                  <input type="text" class="form-control" id="inp-voucher-id" placeholder="mã giảm giá">
                </div>
                <button onclick="onBtnSendClick()" type="button" class="btn btn-dark w-100">Send (Gửi đơn)</button>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-order-infor" class="text-white p-3">...</div>
            <div class="p-2">
              <button type="button" class="btn btn-warning w-100" onclick="onBtnGuiDonClick()">
                Gửi đơn
              </button>
            </div>
          </div>
          <div id="div-create-order" class="container bg-warning p-2 jumbotron"  style="display: none">
            <div class="row p-3">
              <p>Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:
              </p>
            </div>
            <div class="row p-3">
              <div class="">
                <label for="">Mã đơn hàng: </label>
                <input id="inp-create-order" class="bg-warning" type="text">
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";

  const gPIZZA_TYPE_HAWAI = "Hawai";
  const gPIZZA_TYPE_HAI_SAN = "Hải Sản";
  const gPIZZA_TYPE_BACON = "Bacon";
  
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  function onPageLoading() {
    callApiListDrink()
  }
  function onNavOrderDetailClick() {
    console.log("%cGọi chi tiết order ở đây", "color:blue");
  }
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  // nút SMALL được ấn
  function onBtnSmallSizeClick() {
    // đổi màu button
    changePlanButtonColor(gCOMBO_SMALL)

    var vSelectedMenuStructure = getPlan(gCOMBO_SMALL, 20, 2, 200, 2, 150000);
    vSelectedMenuStructure.displayInConsoleLog()
  }
  // nút MEDIUM được ấn
  function onBtnMediumSizeClick() {
    // đổi màu button
    changePlanButtonColor(gCOMBO_MEDIUM)

    var vSelectedMenuStructure = getPlan(gCOMBO_MEDIUM, 25, 4, 300, 3, 200000);
    vSelectedMenuStructure.displayInConsoleLog()

  }
  // nút LARGE được ấn
  function onBtnLargeSizeClick() {
    // đổi màu button
    changePlanButtonColor(gCOMBO_LARGE)

    var vSelectedMenuStructure = getPlan(gCOMBO_LARGE, 30, 8, 500, 4, 250000);
    vSelectedMenuStructure.displayInConsoleLog()
  }
  // Pizza Hawai được chọn
  function onBtnPizzaHawaiClick() {
    // đổi màu button
    changeComboButtonColor(gPIZZA_TYPE_HAWAI)
    console.log("Pizza được chọn là: " + gPIZZA_TYPE_HAWAI)
  }
  // Pizza Hải Sản được chọn
  function onBtnPizzaHaiSanClick() {
    // đổi màu button
    changeComboButtonColor(gPIZZA_TYPE_HAI_SAN)
    console.log("Pizza được chọn là: " + gPIZZA_TYPE_HAI_SAN)
  }
  // Pizza Bacon được chọn
  function onBtnPizzaBaconClick() {
    // đổi màu button
    changeComboButtonColor(gPIZZA_TYPE_BACON)
    console.log("Pizza được chọn là: " + gPIZZA_TYPE_BACON)

  }
  // hàm kiểm tra đơn hàng
  function onBtnSendClick() {
    var readData = readDataOrder();
    var isCkeck = validateOrder(readData);
    if (isCkeck) {
      showOrderInfo(readData)
    }
  }
  // hàm gửi đơn
  function onBtnGuiDonClick() {
    var vOrder = readDataOrder();
    var vObjectRequest = {
      kichCo: vOrder.menuDuocChon.menuName,
      duongKinh: vOrder.menuDuocChon.duongKinhCM,
      suon: vOrder.menuDuocChon.suongNuong,
      salad: vOrder.menuDuocChon.saladGr,
      loaiPizza: vOrder.loaiPizza,
      idVourcher: vOrder.voucher,
      idLoaiNuocUong: vOrder.loaiNuocUong,
      soLuongNuoc: vOrder.menuDuocChon.drink,
      hoTen: vOrder.hoVaTen,
      thanhTien: vOrder.priceAnnualVND(),
      email: vOrder.email,
      soDienThoai: vOrder.dienThoai,
      diaChi: vOrder.diaChi,
      loiNhan: vOrder.loiNhan,
    }
    var vXmlHttpCreateOrder = new XMLHttpRequest();

    callApiCreatOrder(vObjectRequest, vXmlHttpCreateOrder)
    vXmlHttpCreateOrder.onreadystatechange = function () {
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
        showDataCreateOrder(vXmlHttpCreateOrder)
      }
    }
  }
  function onNavOrderDetailClick(){
    var vBtnOrderDetail = document.getElementById("btn-order-detail");

    var vId = vBtnOrderDetail.dataset.id
    var vOrderCode = vBtnOrderDetail.dataset.ordercode
    window.location.href = "orderDetail.html" + "?id=" + vId + "&ordercode=" + vOrderCode;
    
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  // hàm call API Create order
  function callApiCreatOrder(paramOrder, paramHmlHttp) {
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";

    paramHmlHttp.open("POST", vBASE_URL, true);
    paramHmlHttp.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    paramHmlHttp.send(JSON.stringify(paramOrder));
  }
  // hàm hiển thị thông tin order code của đơn hàng
  function showDataCreateOrder(paramHmlHttp) {
    var vDivContainer = document.getElementById("div-container-order");
    vDivContainer.style.display = "none"
    var vDivCreateOrder = document.getElementById("div-create-order")
    vDivCreateOrder.style.display = "block"
    var vInpCreateOrder = document.getElementById("inp-create-order");

    var vCreatedOrder = JSON.parse(paramHmlHttp.responseText);
    // lưu vào biến toàn cục
    var vId = vCreatedOrder.id
    var vOrderCode = vCreatedOrder.orderCode
    vInpCreateOrder.value = vOrderCode;

    var vBtnOrderDetail = document.getElementById("btn-order-detail");
    vBtnOrderDetail.setAttribute("data-id", vCreatedOrder.id )
    vBtnOrderDetail.setAttribute("data-ordercode",  vCreatedOrder.orderCode )

  }

  // hàm lấy dữ liệu thông tin đơn hàng
  function readDataOrder() {

    var vInpName = document.getElementById("inp-fullname");
    var vName = vInpName.value.trim()
    var vInpEmail = document.getElementById("inp-email");
    var vEmail = vInpEmail.value.trim()
    var vInpPhone = document.getElementById("inp-phone");
    var vPhone = vInpPhone.value.trim()
    var vInpAddress = document.getElementById("inp-address");
    var vAddress = vInpAddress.value.trim()
    var vInpMessage = document.getElementById("inp-message");
    var vMessage = vInpMessage.value.trim()
    var vInpVoucher = document.getElementById("inp-voucher-id");
    var vVoucher = vInpVoucher.value.trim()
    var vSelectDrink = document.getElementById("select-drink");
    var vDrink = vSelectDrink.options[vSelectDrink.selectedIndex].value;

    var vBtnSmall = document.getElementById("btn-small");
    var vComboSmall = vBtnSmall.getAttribute("data-is-selected-menu")
    var vBtnMedium = document.getElementById("btn-medium");
    var vComboMedium = vBtnMedium.getAttribute("data-is-selected-menu")
    var vBtnLarge = document.getElementById("btn-large");
    var vComboLarge = vBtnLarge.getAttribute("data-is-selected-menu")
    var vSelectCombo = getPlan("", 0, 0, 0, 0, "")
    if (vComboSmall == "Y") {
      vSelectCombo = getPlan(gCOMBO_SMALL, 20, 2, 200, 2, 150000);
    } else if (vComboMedium == "Y") {
      vSelectCombo = getPlan(gCOMBO_MEDIUM, 25, 4, 300, 3, 200000);
    } else if (vComboLarge == "Y") {
      vSelectCombo = getPlan(gCOMBO_LARGE, 30, 8, 500, 4, 250000);
    }

    var vBtnHawai = document.getElementById("btn-hawai");
    var vPizzaHawai = vBtnHawai.getAttribute("data-is-selected-pizza");
    var vBtnHaiSan = document.getElementById("btn-haisan");
    var vPizzaHaiSan = vBtnHaiSan.getAttribute("data-is-selected-pizza");
    var vBtnBacon = document.getElementById("btn-bacon");
    var vPizzaBacon = vBtnBacon.getAttribute("data-is-selected-pizza");
    var vTypePizza = ""
    if (vPizzaHawai == "Y") {
      vTypePizza = gPIZZA_TYPE_HAWAI;
    } else if (vPizzaHaiSan == "Y") {
      vTypePizza = gPIZZA_TYPE_HAI_SAN;
    } else if (vPizzaBacon == "Y") {
      vTypePizza = gPIZZA_TYPE_BACON;
    }
    // khái báo biến để chứa phần trăm giảm giá

    var vOrder = {
      menuDuocChon: vSelectCombo,
      loaiPizza: vTypePizza,
      loaiNuocUong: vDrink,
      hoVaTen: vName,
      email: vEmail,
      dienThoai: vPhone,
      diaChi: vAddress,
      loiNhan: vMessage,
      voucher: vVoucher,
      giamGia: 0,
      priceAnnualVND: function () {
        
        var vTotal = this.menuDuocChon.priceVND * (1 - this.giamGia / 100);
        return vTotal;
        
      }
    }
    var vXmlHttp = new XMLHttpRequest()
    if (vOrder.voucher != "") {
      callApiVoucherID(vOrder, vXmlHttp)
    }
    else {
      vOrder.giamGia = 0;
    }
    return vOrder
  }

  // hàm validate order
  function validateOrder(paramOrder) {
    if (paramOrder.menuDuocChon.menuName == "") {
      alert("Hãy chọn Combo Menu")
      return false
    }
    if (paramOrder.loaiPizza == "") {
      alert("Hãy chọn Loại Pizza")
      return false
    }
    if (paramOrder.loaiNuocUong == 0) {
      alert("Hãy chọn Loại nước uống")
      return false
    }
    if (paramOrder.hoVaTen == "") {
      alert("Hãy nhập Họ và Tên")
      return false
    }
    if (paramOrder.email == "") {
      alert("Hãy nhập Email")
      return false
    }
    if (paramOrder.email.indexOf("@") === -1) {
      alert("Email phải có ký tự @");
      return false;
    }
    if (paramOrder.dienThoai == "") {
      alert("Hãy nhập Số điện thoại ");
      return false;
    }
    if (isNaN(paramOrder.dienThoai)) {
      alert("Số điện thoại phải là số ");
      return false;
    }
    if (paramOrder.diaChi == "") {
      alert("Hãy nhập Địa chỉ");
      return false;
    }
    return true
  }
  // hàm call API voucherID
  function callApiVoucherID(paramOrder, paramHmlHttp) {
    "use strict";
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail";

    paramHmlHttp.open("GET", vBASE_URL + "/" + paramOrder.voucher, false);
    paramHmlHttp.send(null);

    if (paramHmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
      var vResponse = JSON.parse(paramHmlHttp.responseText)
      var vPhanTramGiamGia = vResponse.phanTramGiamGia

    } else {
      alert("Voucher bạn nhận không hợp lệ hoặc không có")
      var vPhanTramGiamGia = 0
    }
    paramOrder.giamGia = vPhanTramGiamGia
  }
  // hàm call APi list Drinks
  function callApiListDrink() {
    "use strict";
    var vXhttp = new XMLHttpRequest();
    vXhttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
    vXhttp.send();
    vXhttp.onreadystatechange = function () {
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
        // console.log(vXhttp.responseText); //ghi response text ra console.log
        showDataDrink(vXhttp)
      }
    };
  }
  function showOrderInfo(paramOrder) {
    var vDivContainer = document.getElementById("div-container-order");
    var vDivOrderInfo = document.getElementById("div-order-infor");
    vDivContainer.style.display = "block";

    vDivOrderInfo.innerHTML = "Họ và tên: " + paramOrder.hoVaTen + "<br>";
    vDivOrderInfo.innerHTML += "Email: " + paramOrder.email + "<br>";
    vDivOrderInfo.innerHTML += "Địa chỉ: " + paramOrder.diaChi + "<br>";
    vDivOrderInfo.innerHTML += "Lời nhắn: " + paramOrder.loiNhan + "<br>";
    vDivOrderInfo.innerHTML += "....................................." + "<br>";
    vDivOrderInfo.innerHTML += "Kích cỡ: " + paramOrder.menuDuocChon.menuName + "<br>";
    vDivOrderInfo.innerHTML += "Đường kính: " + paramOrder.menuDuocChon.duongKinhCM + "<br>";
    vDivOrderInfo.innerHTML += "Sườn nướng: " + paramOrder.menuDuocChon.suongNuong + "<br>";
    vDivOrderInfo.innerHTML += "Salad : " + paramOrder.menuDuocChon.saladGr + "<br>";
    vDivOrderInfo.innerHTML += "Nước Ngọt : " + paramOrder.menuDuocChon.drink + "<br>";
    vDivOrderInfo.innerHTML += "Loại nước uống : " + paramOrder.loaiNuocUong + "<br>";
    vDivOrderInfo.innerHTML += "....................................." + "<br>";
    vDivOrderInfo.innerHTML += "Loại pizza : " + paramOrder.loaiPizza + "<br>";
    vDivOrderInfo.innerHTML += "Mã voucher : " + paramOrder.voucher + "<br>";
    vDivOrderInfo.innerHTML += "Giá vnd : " + paramOrder.menuDuocChon.priceVND + "<br>";
    vDivOrderInfo.innerHTML += "Discount %: " + paramOrder.giamGia + "<br>";
    vDivOrderInfo.innerHTML += "Phải thanh toán vnd: " + paramOrder.priceAnnualVND();
  }

  // hàm show data nước uống 
  function showDataDrink(paramXmlHttp) {
    var vResponse = JSON.parse(paramXmlHttp.responseText)
    var vSelectDrink = document.getElementById("select-drink");

    for (var bI = 0; bI < vResponse.length; bI++) {
      var vNewOption = document.createElement("option")
      vNewOption.value = vResponse[bI].maNuocUong
      vNewOption.text = vResponse[bI].tenNuocUong
      vSelectDrink.appendChild(vNewOption);
    }
  }
  function getPlan(paramMenuName, paramDuongKinhCM, paramSuongNuong, paramSaladGr, paramDrink, paramPriceVND) {
    var vSelectedPlanStructure = {  //Đối tượng: gói dịch vụ máy chủ được chọn
      menuName: paramMenuName,
      duongKinhCM: paramDuongKinhCM,
      suongNuong: paramSuongNuong,
      saladGr: paramSaladGr,
      drink: paramDrink,
      priceVND: paramPriceVND,

      displayInConsoleLog() {
        console.log("%cPLAN SELECTED - gói dịch vụ được chọn..........", "color:blue");
        console.log(this.menuName);  //this = "đối tượng này"
        console.log("Đường Kính: " + this.duongKinhCM);
        console.log("Sườn Nướng: " + this.suongNuong);
        console.log("Salad: " + this.saladGr);
        console.log("Drink:" + this.drink);
        console.log("Price: " + this.priceVND + " VND");

      }
    }
    return vSelectedPlanStructure;  //trả lại đối tượng, có đủ dữ liệu (attribute) và các methods (phương thức)
  }
  // đổi màu nút chọn combo pizza
  function changePlanButtonColor(paramPlan) {
    var vBtnSmall = document.getElementById("btn-small");
    var vBtnMedium = document.getElementById("btn-medium");
    var vBtnLarge = document.getElementById("btn-large");

    if (paramPlan == gCOMBO_SMALL) {
      vBtnSmall.className = "btn btn-warning w-100";
      vBtnSmall.setAttribute("data-is-selected-menu", "Y")

      vBtnMedium.className = "btn btn-success w-100";
      vBtnMedium.setAttribute("data-is-selected-menu", "N")

      vBtnLarge.className = "btn btn-success w-100";
      vBtnLarge.setAttribute("data-is-selected-menu", "N")
    }
    else if (paramPlan == gCOMBO_MEDIUM) {
      vBtnSmall.className = "btn btn-success w-100";
      vBtnSmall.setAttribute("data-is-selected-menu", "N")

      vBtnMedium.className = "btn btn-warning w-100";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y")

      vBtnLarge.className = "btn btn-success w-100";
      vBtnLarge.setAttribute("data-is-selected-menu", "N")
    }
    else if (paramPlan == gCOMBO_LARGE) {
      vBtnSmall.className = "btn btn-success w-100";
      vBtnSmall.setAttribute("data-is-selected-menu", "N")

      vBtnMedium.className = "btn btn-success w-100";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y")

      vBtnLarge.className = "btn btn-warning w-100";
      vBtnLarge.setAttribute("data-is-selected-menu", "Y")
    }
  }
  function changeComboButtonColor(paramPizza) {
    var vBtnHawai = document.getElementById("btn-hawai");
    var vBtnHaiSan = document.getElementById("btn-haisan");
    var vBtnBacon = document.getElementById("btn-bacon");

    if (paramPizza == gPIZZA_TYPE_HAWAI) {
      vBtnHawai.className = "btn btn-warning w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "Y");

      vBtnHaiSan.className = "btn btn-info w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

      vBtnBacon.className = "btn btn-info w-100"
      vBtnBacon.setAttribute("data-is-selected-pizza", "N");
    }
    else if (paramPizza == gPIZZA_TYPE_HAI_SAN) {
      vBtnHawai.className = "btn btn-info w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "N");

      vBtnHaiSan.className = "btn btn-warning w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y");

      vBtnBacon.className = "btn btn-info w-100"
      vBtnBacon.setAttribute("data-is-selected-pizza", "N");
    }
    else if (paramPizza == gPIZZA_TYPE_BACON) {
      vBtnHawai.className = "btn btn-info w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "N");

      vBtnHaiSan.className = "btn btn-info w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

      vBtnBacon.className = "btn btn-warning w-100"
      vBtnBacon.setAttribute("data-is-selected-pizza", "Y");
    }
  }
</script>

</html>